This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 451576 - init[1]: segfault at 00000006 eip 00000006 esp bf87a7e8 error 4
init[1]: segfault at 00000006 eip 00000006 esp bf87a7e8 error 4
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
8
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-15 20:09 EDT by Mrs Bonus
Modified: 2009-01-09 01:36 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:36:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mrs Bonus 2008-06-15 20:09:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.11) Gecko/20071127 Firefox/2.0.0.11

Description of problem:
I was running FC6 and yum upgraded to F8. The latest FC6 kernel version worked fine. Now that I am on F8 I can not run an F8 kernel since they always fail to boot. I am still running the latest FC6 kernel (everything else is F8). Every new F8 kernel I install has the same problem. I've extracted the initrd files and have tried a few things. If I do clean F8 installs it works every time (as you would expect) so I have some legacy problem coming from my FC6 upgrade. I have tried PAE and non-PAE kernels with the same result.

My FC6 upgrade was direct to F8 but I have tried FC6 -> F7 -> F8 as well with no luck.

The screenshot (http://forums.fedoraforum.org/attachment.php?attachmentid=15741) shows the error.
"init[1]: segfault at 00000006 eip 00000006 esp bf87a7e8 error 4"

I have now created a cut down F8 virtual machine under Vmware and copied the faulty initrd file to it. The fault is now reproducible within the VM.

I did find that if I downgraded nash and mkinitrd to an FC6 version and then installed F8 kernels that they would boot and/or get a lot further in the boot process. But I have no idea why mkinitrd and nash from F8 create an initrd for me that is not bootable. Screenshot of this new error is at http://forums.fedoraforum.org/attachment.php?attachmentid=16420. I suspect that this would never work any way due to dependencies but it does appear to show that changing mkinitrd fixes the initial fault.

I have posted the faulty initrd file at http://www.edcint.co.nz/initrd-2.6.24.4-64.fc8.img

This does appear to be similar to the following bugs:
336161: I have the bug in the version that was released as the fix for this bug.
411691: This bug stops the boot process in the same place, except that I've already fixed the problem I had with the ld libraries.
440091: Sounds very close but I've already fixed up the mismatching of ld.so and
libc. 

I would love to get my hands on a later release of mkinitrd for F8. I note that mkinitrd for F9 is has much later versions available - where are the ones for F8?



Version-Release number of selected component (if applicable):
mkinitrd-5.1.19.0.3-1

How reproducible:
Always


Steps to Reproduce:
Try booting the faulty initrd described above

Actual Results:


Expected Results:


Additional info:
Comment 1 Bug Zapper 2008-11-26 05:52:27 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-01-09 01:36:15 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.